Jifty::Web::Session::None(3)

NAME
Jifty::Web::Session::None - A null session handler for jifty

DESCRIPTION
Jifty depends on its sessions to keep users logged in, to store continuations and to allow developers to store user-specific data. In general, you don't want to disable them. But sometimes, the development benefits of Jifty lead you to build applications that genuinely don't want per-user sessions. That's where "Jifty::Web::Session::None" comes in. By specifying that you want to use "Jifty::Web::Session::None" as your Jifty session handler, you tell Jifty to avoid ever reading, writing or storing a user session. No cookies get set. Nothing gets stored in the database.

USAGE
In your "etc/config.yml":

 ---
 framework:
   Web:
     SessionClass:: Jifty::Web::Session::None

METHODS
All methods in this class are dummy methods which do no work. This class mocks the API provided by "Jifty::Web::Session".

  new
Takes no arguments. Returns a Jifty::Web::Session::None.

  id
Returns false.

  create
Returns true.

  load
Returns true.

  unload
Returns true.

  loaded
Returns true.

  get
Returns false.

  set
Returns false.

  remove
Returns true.

  set_continuation
Returns false.

  get_continuation
Returns false.

  remove_continuation
Returns false.

  continuations
Returns false.

  set_cookie
Returns false.

  cookie_name
Returns false.

  expires
Returns false.